package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalInstanceFormFactory
{
    private FeishuApprovalInstanceFormFactory()
    {
    }
    public static IFeishuApprovalInstanceForm getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalInstanceForm)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0A6D6565") , IFeishuApprovalInstanceForm.class);
    }
    
    public static IFeishuApprovalInstanceForm getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalInstanceForm)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0A6D6565") , IFeishuApprovalInstanceForm.class, objectCtx);
    }
    public static IFeishuApprovalInstanceForm getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalInstanceForm)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0A6D6565"));
    }
    public static IFeishuApprovalInstanceForm getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalInstanceForm)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0A6D6565"));
    }
}